<?php

/**
 * This is the model class for table "{{offerte}}".
 *
 * The followings are the available columns in table '{{offerte}}':
 * @property integer $id
 *
 * The followings are the available model relations:
 * @property OfferteGruppiAccessoBridge[] $aeGOfferteGruppiAccessoBridges
 */
class Offerte extends CActiveRecord
{
	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return '{{offerte}}';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			// The following rule is used by search().
			// @todo Please remove those attributes that should not be searched.
			array('id', 'safe', 'on'=>'search'),
		    array('gruppi_accesso,gruppo_accesso,gruppo_label', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations() {
        return array(
                'aeGOfferteGruppiAccessos' => array(
                        self::MANY_MANY,
                        'OfferteGruppiAccesso',
                        '{{offerte_gruppi_accesso_bridge}}(id_offerta, id_gruppi_accesso)'
                )
        );
    }

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
		);
	}

	function behaviors() {
	    return array(
	            'relatedsearch' => array(
	                    'class' => 'RelatedSearchBehavior',
	                    'relations' => array(
	                            'gruppi_accesso' => 'aeGOfferteGruppiAccessos.id',
	                            'gruppo_accesso' => 'aeGOfferteGruppiAccessos.gruppo_accesso',
	                            'gruppo_label' => 'aeGOfferteGruppiAccessos.label',
	                    ),
	            ),
	    );
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 *
	 * Typical usecase:
	 * - Initialize the model fields with values from filter form.
	 * - Execute this method to get CActiveDataProvider instance which will filter
	 * models according to data in model fields.
	 * - Pass data provider to CGridView, CListView or any similar widget.
	 *
	 * @return CActiveDataProvider the data provider that can return the models
	 * based on the search/filter conditions.
	 */
	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('id',$this->id);

        return $this->relatedSearch(
            $criteria
        );
	}

	/**
	 * Returns the static model of the specified AR class.
	 * Please note that you should have this exact method in all your CActiveRecord descendants!
	 * @param string $className active record class name.
	 * @return Offerte the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
